aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-10-26 18:18:29 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-10-26 19:47:14 +0200
commitaf0c01ac63cfe01e0feb2f423efb822c93ba7e03 (patch)
tree00c5cd502d38210c7f3ef1c42d6b6d505236059c /main
parent2480e9ea6684ef447270fbbf164c84164b802712 (diff)
downloadaports-af0c01ac63cfe01e0feb2f423efb822c93ba7e03.tar.gz
aports-af0c01ac63cfe01e0feb2f423efb822c93ba7e03.tar.bz2
aports-af0c01ac63cfe01e0feb2f423efb822c93ba7e03.tar.xz
[various] rename dependency python-dev to python2-dev
Diffstat (limited to 'main')
-rw-r--r--main/ansible/APKBUILD2
-rw-r--r--main/apache2-mod-wsgi/APKBUILD2
-rw-r--r--main/atheme-iris/APKBUILD2
-rw-r--r--main/bluefish/APKBUILD2
-rw-r--r--main/collectd/APKBUILD2
-rw-r--r--main/cython/APKBUILD2
-rw-r--r--main/distcc/APKBUILD2
-rw-r--r--main/duplicity/APKBUILD2
-rw-r--r--main/fail2ban/APKBUILD2
-rw-r--r--main/farstream/APKBUILD2
-rw-r--r--main/farstream0.1/APKBUILD2
-rw-r--r--main/flake8/APKBUILD2
-rw-r--r--main/freeradius/APKBUILD2
-rw-r--r--main/gamin/APKBUILD2
-rw-r--r--main/gcalcli/APKBUILD2
-rw-r--r--main/gdb/APKBUILD2
-rw-r--r--main/git/APKBUILD2
-rw-r--r--main/gnumeric/APKBUILD2
-rw-r--r--main/gobject-introspection/APKBUILD2
-rw-r--r--main/gpsd/APKBUILD2
-rw-r--r--main/graphviz/APKBUILD4
-rw-r--r--main/halberd/APKBUILD2
-rw-r--r--main/hexchat/APKBUILD2
-rw-r--r--main/ldb/APKBUILD2
-rw-r--r--main/libproxy/APKBUILD2
-rw-r--r--main/libxslt/APKBUILD2
-rw-r--r--main/llvm/APKBUILD2
-rw-r--r--main/mercurial/APKBUILD2
-rw-r--r--main/mutagen/APKBUILD2
-rw-r--r--main/newt/APKBUILD2
-rw-r--r--main/ntop/APKBUILD2
-rw-r--r--main/offlineimap/APKBUILD2
-rw-r--r--main/pssh/APKBUILD2
-rw-r--r--main/py-alabaster/APKBUILD2
-rw-r--r--main/py-asn1-modules/APKBUILD2
-rw-r--r--main/py-bluez/APKBUILD2
-rw-r--r--main/py-boto/APKBUILD2
-rw-r--r--main/py-cairo/APKBUILD2
-rw-r--r--main/py-configshell/APKBUILD2
-rw-r--r--main/py-country/APKBUILD2
-rw-r--r--main/py-dbus/APKBUILD2
-rw-r--r--main/py-django-djblets/APKBUILD2
-rw-r--r--main/py-django-pipeline/APKBUILD4
-rw-r--r--main/py-django-registation/APKBUILD2
-rw-r--r--main/py-django-simple-captcha/APKBUILD2
-rw-r--r--main/py-django/APKBUILD2
-rw-r--r--main/py-docutils/APKBUILD2
-rw-r--r--main/py-ediarpc/APKBUILD2
-rw-r--r--main/py-egenix-mx-base/APKBUILD2
-rw-r--r--main/py-exifread/APKBUILD2
-rw-r--r--main/py-eyed3/APKBUILD2
-rw-r--r--main/py-feedparser/APKBUILD2
-rw-r--r--main/py-flask-assets/APKBUILD2
-rw-r--r--main/py-flask-script/APKBUILD2
-rw-r--r--main/py-flask-wtf/APKBUILD2
-rw-r--r--main/py-flup/APKBUILD2
-rw-r--r--main/py-funcsigs/APKBUILD2
-rw-r--r--main/py-fuse/APKBUILD2
-rw-r--r--main/py-genshi/APKBUILD2
-rw-r--r--main/py-gflags/APKBUILD2
-rw-r--r--main/py-gnome/APKBUILD2
-rw-r--r--main/py-gobject/APKBUILD2
-rw-r--r--main/py-gobject3/APKBUILD2
-rw-r--r--main/py-google-api-python-client/APKBUILD2
-rw-r--r--main/py-gtk/APKBUILD2
-rw-r--r--main/py-gunicorn/APKBUILD2
-rw-r--r--main/py-hiredis/APKBUILD2
-rw-r--r--main/py-hoedown/APKBUILD2
-rw-r--r--main/py-httplib2/APKBUILD2
-rw-r--r--main/py-icu/APKBUILD2
-rw-r--r--main/py-imaging/APKBUILD2
-rw-r--r--main/py-lockfile/APKBUILD2
-rw-r--r--main/py-mako/APKBUILD2
-rw-r--r--main/py-mccabe/APKBUILD2
-rw-r--r--main/py-meld3/APKBUILD2
-rw-r--r--main/py-mock/APKBUILD2
-rw-r--r--main/py-munkres/APKBUILD2
-rw-r--r--main/py-musicbrainzngs/APKBUILD2
-rw-r--r--main/py-mysqldb/APKBUILD2
-rw-r--r--main/py-nose/APKBUILD2
-rw-r--r--main/py-oauth2/APKBUILD2
-rw-r--r--main/py-oauth2client/APKBUILD2
-rw-r--r--main/py-parsing/APKBUILD2
-rw-r--r--main/py-pbr/APKBUILD2
-rw-r--r--main/py-pep8/APKBUILD2
-rw-r--r--main/py-phonenumbers/APKBUILD2
-rw-r--r--main/py-pillow/APKBUILD2
-rw-r--r--main/py-purl/APKBUILD2
-rw-r--r--main/py-pylast/APKBUILD2
-rw-r--r--main/py-redis/APKBUILD2
-rw-r--r--main/py-roman/APKBUILD2
-rw-r--r--main/py-rsa/APKBUILD2
-rw-r--r--main/py-simpleparse/APKBUILD2
-rw-r--r--main/py-sphinx_rtd_theme/APKBUILD2
-rw-r--r--main/py-templayer/APKBUILD2
-rw-r--r--main/py-twisted/APKBUILD2
-rw-r--r--main/py-twitter/APKBUILD2
-rw-r--r--main/py-unidecode/APKBUILD2
-rw-r--r--main/py-uritemplate/APKBUILD2
-rw-r--r--main/py-urlnorm/APKBUILD2
-rw-r--r--main/py-urwid/APKBUILD2
-rw-r--r--main/py-vobject/APKBUILD2
-rw-r--r--main/py-webassets/APKBUILD2
-rw-r--r--main/py-wtforms/APKBUILD2
-rw-r--r--main/py-xml/APKBUILD2
-rw-r--r--main/pyflakes/APKBUILD2
-rw-r--r--main/rdiff-backup/APKBUILD2
-rw-r--r--main/rrdtool/APKBUILD2
-rw-r--r--main/samba/APKBUILD2
-rw-r--r--main/scons/APKBUILD2
-rw-r--r--main/sems/APKBUILD2
-rw-r--r--main/speedtest-cli/APKBUILD2
-rw-r--r--main/spice-gtk/APKBUILD2
-rw-r--r--main/spice/APKBUILD2
-rw-r--r--main/subunit/APKBUILD2
-rw-r--r--main/subversion/APKBUILD2
-rw-r--r--main/supervisor/APKBUILD2
-rw-r--r--main/syslog-ng/APKBUILD2
-rw-r--r--main/talloc/APKBUILD2
-rw-r--r--main/tdb/APKBUILD2
-rw-r--r--main/tevent/APKBUILD2
-rw-r--r--main/trac/APKBUILD2
-rw-r--r--main/unbound/APKBUILD2
-rw-r--r--main/uwsgi/APKBUILD2
-rw-r--r--main/virtinst/APKBUILD2
-rw-r--r--main/weechat/APKBUILD2
-rw-r--r--main/xen/APKBUILD2
-rw-r--r--main/znc/APKBUILD2
128 files changed, 130 insertions, 130 deletions
diff --git a/main/ansible/APKBUILD b/main/ansible/APKBUILD
index 2ff1ccaa75..3680c720fc 100644
--- a/main/ansible/APKBUILD
+++ b/main/ansible/APKBUILD
@@ -9,7 +9,7 @@ url="http://ansible.com"
arch="noarch"
license="GPL3+"
depends="python py-yaml py-paramiko py-jinja2 py-markupsafe"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::http://releases.ansible.com/ansible/$pkgname-$pkgver.tar.gz"
diff --git a/main/apache2-mod-wsgi/APKBUILD b/main/apache2-mod-wsgi/APKBUILD
index caa99b3743..f69f79e9b0 100644
--- a/main/apache2-mod-wsgi/APKBUILD
+++ b/main/apache2-mod-wsgi/APKBUILD
@@ -10,7 +10,7 @@ arch="all"
license="ASL 2.0"
depends="apache2 python"
depends_dev=
-makedepends="$depends_dev apache2-dev python-dev"
+makedepends="$depends_dev apache2-dev python2-dev"
install=""
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/GrahamDumpleton/mod_wsgi/archive/$pkgver.tar.gz
diff --git a/main/atheme-iris/APKBUILD b/main/atheme-iris/APKBUILD
index 962242334d..a527917398 100644
--- a/main/atheme-iris/APKBUILD
+++ b/main/atheme-iris/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="GPL2"
depends="py-twisted py-simplejson py-openssl py-zope-interface"
depends_dev=""
-makedepends="$depends_dev python-dev"
+makedepends="$depends_dev python2-dev"
install="$pkgname.post-install $pkgname.pre-install"
subpackages=""
source="http://dev.alpinelinux.org/archive/$pkgname/$pkgname-$pkgver.tar.gz
diff --git a/main/bluefish/APKBUILD b/main/bluefish/APKBUILD
index bb39a6b588..06a12bf38c 100644
--- a/main/bluefish/APKBUILD
+++ b/main/bluefish/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="GPL"
depends=""
depends_dev=""
-makedepends="libtool libxml2-dev python-dev gtk+3.0-dev enchant-dev \
+makedepends="libtool libxml2-dev python2-dev gtk+3.0-dev enchant-dev \
gucharmap-dev"
install=""
subpackages="$pkgname-lang $pkgname-doc"
diff --git a/main/collectd/APKBUILD b/main/collectd/APKBUILD
index 9e5402a521..bad307eee3 100644
--- a/main/collectd/APKBUILD
+++ b/main/collectd/APKBUILD
@@ -8,7 +8,7 @@ url="http://collectd.org"
arch="all"
license="GPL2"
depends=""
-makedepends="curl-dev net-snmp-dev postgresql-dev perl-dev python-dev
+makedepends="curl-dev net-snmp-dev postgresql-dev perl-dev python2-dev
libgcrypt-dev mariadb-dev zlib-dev libressl-dev iptables-dev
rrdtool-dev yajl-dev libvirt-dev lm_sensors-dev libxml2-dev
hiredis-dev
diff --git a/main/cython/APKBUILD b/main/cython/APKBUILD
index 213711b8ad..c56f717630 100644
--- a/main/cython/APKBUILD
+++ b/main/cython/APKBUILD
@@ -8,7 +8,7 @@ url="http://cython.org"
arch="all"
license="Apache 2.0"
depends=""
-depends_dev="python-dev py-pgen cython"
+depends_dev="python2-dev py-pgen cython"
makedepends="$depends_dev"
subpackages="$pkgname-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/cython/cython/archive/$pkgver.tar.gz"
diff --git a/main/distcc/APKBUILD b/main/distcc/APKBUILD
index 7150e6e3e2..465765bf02 100644
--- a/main/distcc/APKBUILD
+++ b/main/distcc/APKBUILD
@@ -8,7 +8,7 @@ url="http://distcc.org"
arch="all"
license="GPL2"
depends=""
-makedepends="popt-dev python-dev"
+makedepends="popt-dev python2-dev"
install="$pkgname.pre-install"
source="http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.bz2
distcc-3.1-clone.patch
diff --git a/main/duplicity/APKBUILD b/main/duplicity/APKBUILD
index dd4a2855aa..18a78ac8d7 100644
--- a/main/duplicity/APKBUILD
+++ b/main/duplicity/APKBUILD
@@ -9,7 +9,7 @@ url="http://duplicity.nongnu.org/"
arch="all"
license="GPL"
depends="python py-boto gnupg ncftp py-lockfile"
-makedepends="python-dev py-setuptools librsync-dev"
+makedepends="python2-dev py-setuptools librsync-dev"
install=
subpackages="$pkgname-doc $pkgname-lang"
source="https://code.launchpad.net/$pkgname/${pkgver:0:3}-series/$pkgver/+download/$pkgname-$pkgver.tar.gz"
diff --git a/main/fail2ban/APKBUILD b/main/fail2ban/APKBUILD
index f5628e7eb3..92ad41aeee 100644
--- a/main/fail2ban/APKBUILD
+++ b/main/fail2ban/APKBUILD
@@ -9,7 +9,7 @@ url="http://www.fail2ban.org"
arch="noarch"
license="GPL2+"
depends="python iptables logrotate"
-makedepends="python-dev python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/$pkgver.tar.gz
fail2ban.confd
fail2ban.logrotate
diff --git a/main/farstream/APKBUILD b/main/farstream/APKBUILD
index a0fe77796e..f4329ca8e4 100644
--- a/main/farstream/APKBUILD
+++ b/main/farstream/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="LGPLv2+"
depends=""
depends_dev="libnice-dev gstreamer1-dev gst-plugins-base1-dev"
-makedepends="$depends_dev gobject-introspection-dev py-gobject-dev python-dev"
+makedepends="$depends_dev gobject-introspection-dev py-gobject-dev python2-dev"
install=""
subpackages="$pkgname-dev $pkgname-doc"
source="http://freedesktop.org/software/farstream/releases/farstream/farstream-$pkgver.tar.gz"
diff --git a/main/farstream0.1/APKBUILD b/main/farstream0.1/APKBUILD
index 57d224d7a6..969e9a32d8 100644
--- a/main/farstream0.1/APKBUILD
+++ b/main/farstream0.1/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="LGPLv2+"
depends=""
depends_dev="libnice-dev gstreamer0.10-dev gst-plugins-base0.10-dev"
-makedepends="$depends_dev gobject-introspection-dev py-gobject-dev python-dev
+makedepends="$depends_dev gobject-introspection-dev py-gobject-dev python2-dev
py-gst0.10"
install=""
replaces="farstream"
diff --git a/main/flake8/APKBUILD b/main/flake8/APKBUILD
index 0404051cb4..a1d8ae0401 100644
--- a/main/flake8/APKBUILD
+++ b/main/flake8/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="MIT"
depends="python py-setuptools py-mccabe py-pep8 pyflakes"
depends_dev=""
-makedepends="python-dev"
+makedepends="python2-dev"
install=""
subpackages=""
source="https://pypi.io/packages/source/f/$pkgname/$pkgname-$pkgver.tar.gz"
diff --git a/main/freeradius/APKBUILD b/main/freeradius/APKBUILD
index af3ff44a30..e8da92c19a 100644
--- a/main/freeradius/APKBUILD
+++ b/main/freeradius/APKBUILD
@@ -12,7 +12,7 @@ arch="all"
license="GPL"
depends=""
makedepends="libressl-dev mariadb-dev postgresql-dev gdbm-dev readline-dev
- bash libtool autoconf automake perl-dev python-dev openldap-dev krb5-dev
+ bash libtool autoconf automake perl-dev python2-dev openldap-dev krb5-dev
unixodbc-dev linux-pam-dev sqlite-dev talloc-dev libpcap-dev
linux-headers curl-dev hiredis-dev json-c-dev"
pkggroups="radius"
diff --git a/main/gamin/APKBUILD b/main/gamin/APKBUILD
index b4c8b8c2d4..0b51727201 100644
--- a/main/gamin/APKBUILD
+++ b/main/gamin/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="GPL"
subpackages="$pkgname-dev py-$pkgname:py"
depends=
-makedepends="glib-dev python-dev"
+makedepends="glib-dev python2-dev"
source="http://www.gnome.org/~veillard/$pkgname/sources/$pkgname-$pkgver.tar.gz
fix-deprecated-const.patch
fix-pthread-mutex.patch"
diff --git a/main/gcalcli/APKBUILD b/main/gcalcli/APKBUILD
index f364533aaa..0edc5a106b 100644
--- a/main/gcalcli/APKBUILD
+++ b/main/gcalcli/APKBUILD
@@ -8,7 +8,7 @@ arch="noarch"
license="MIT"
depends="python3 py-google-api-python-client py-dateutil py-gflags py-vobject"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
diff --git a/main/gdb/APKBUILD b/main/gdb/APKBUILD
index 092f57fd86..e9c80034a0 100644
--- a/main/gdb/APKBUILD
+++ b/main/gdb/APKBUILD
@@ -7,7 +7,7 @@ url="http://sources.redhat.com/gdb/"
arch="all"
license="GPL3"
depends=
-makedepends="ncurses-dev expat-dev texinfo readline-dev python-dev
+makedepends="ncurses-dev expat-dev texinfo readline-dev python2-dev
zlib-dev autoconf automake libtool linux-headers"
subpackages="$pkgname-doc"
source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz
diff --git a/main/git/APKBUILD b/main/git/APKBUILD
index 6f7149ec04..84f00a35c9 100644
--- a/main/git/APKBUILD
+++ b/main/git/APKBUILD
@@ -28,7 +28,7 @@ subpackages="$pkgname-doc
$pkgname-gitk
"
# we need tcl and tk to be built before git due to git-gui and gitk
-makedepends="zlib-dev libressl-dev curl-dev expat-dev perl-dev python-dev
+makedepends="zlib-dev libressl-dev curl-dev expat-dev perl-dev python2-dev
pcre-dev asciidoc xmlto perl-error tcl tk"
source="https://www.kernel.org/pub/software/scm/git/git-$pkgver.tar.xz
bb-tar.patch
diff --git a/main/gnumeric/APKBUILD b/main/gnumeric/APKBUILD
index aa729bd3ec..d19cd5d151 100644
--- a/main/gnumeric/APKBUILD
+++ b/main/gnumeric/APKBUILD
@@ -7,7 +7,7 @@ url="http://www.gnome.org/projects/gnumeric/"
arch="all"
license="GPL"
makedepends="gtk+3.0-dev intltool desktop-file-utils goffice-dev rarian
- python-dev py-gobject3-dev libxslt-dev bison flex"
+ python2-dev py-gobject3-dev libxslt-dev bison flex"
install=
subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/1.12/$pkgname-$pkgver.tar.xz"
diff --git a/main/gobject-introspection/APKBUILD b/main/gobject-introspection/APKBUILD
index 2bb06c203e..4c60301b7b 100644
--- a/main/gobject-introspection/APKBUILD
+++ b/main/gobject-introspection/APKBUILD
@@ -7,7 +7,7 @@ url="http://live.gnome.org/GObjectIntrospection"
arch="all"
license="LGPL GPL"
depends_dev="python glib-dev libffi-dev cairo-dev libtool"
-makedepends="$depends_dev flex bison python-dev"
+makedepends="$depends_dev flex bison python2-dev"
depends=
replaces="libgirepository"
source="http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver%.*}/$pkgname-$pkgver.tar.xz
diff --git a/main/gpsd/APKBUILD b/main/gpsd/APKBUILD
index e80a451303..81635a8b47 100644
--- a/main/gpsd/APKBUILD
+++ b/main/gpsd/APKBUILD
@@ -8,7 +8,7 @@ arch=all
url="http://catb.org/gpsd/"
license="BSD"
depends=""
-makedepends="scons python-dev libcap-dev ncurses-dev"
+makedepends="scons python2-dev libcap-dev ncurses-dev"
install=
subpackages="$pkgname-dev"
source="http://download-mirror.savannah.gnu.org/releases/gpsd/$pkgname-$pkgver.tar.gz
diff --git a/main/graphviz/APKBUILD b/main/graphviz/APKBUILD
index 97e114ae33..53b1fc365f 100644
--- a/main/graphviz/APKBUILD
+++ b/main/graphviz/APKBUILD
@@ -12,8 +12,8 @@ depends=""
depends_dev="zlib-dev libpng-dev libjpeg-turbo-dev expat-dev
fontconfig-dev libsm-dev libxext-dev cairo-dev pango-dev
librsvg-dev gmp-dev freetype-dev"
-makedepends="$depends_dev flex swig python-dev m4 libtool
- bison gtk+2.0-dev python-dev lua5.2-dev libltdl"
+makedepends="$depends_dev flex swig python2-dev m4 libtool
+ bison gtk+2.0-dev python2-dev lua5.2-dev libltdl"
install="$pkgname.pre-deinstall"
triggers="$pkgname.trigger=/usr/lib/graphviz"
subpackages="$pkgname-dev $pkgname-doc py-gv:py lua-$pkgname:_lua
diff --git a/main/halberd/APKBUILD b/main/halberd/APKBUILD
index 3ec01d19f4..7829223fbc 100644
--- a/main/halberd/APKBUILD
+++ b/main/halberd/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="GPL2+"
depends="python"
depends_dev=""
-makedepends="python-dev help2man"
+makedepends="python2-dev help2man"
install=""
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/jmbr/$pkgname/archive/$pkgver.tar.gz
diff --git a/main/hexchat/APKBUILD b/main/hexchat/APKBUILD
index 129a513935..96f977b2dc 100644
--- a/main/hexchat/APKBUILD
+++ b/main/hexchat/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="GPL2+"
depends=""
makedepends="gtk+2.0-dev libressl-dev dbus-glib-dev perl-dev
- libsexy-dev python-dev libnotify-dev libproxy-dev lua5.3-dev
+ libsexy-dev python2-dev libnotify-dev libproxy-dev lua5.3-dev
bash libtool autoconf automake"
install=""
subpackages="$pkgname-doc $pkgname-lang $pkgname-python:_python"
diff --git a/main/ldb/APKBUILD b/main/ldb/APKBUILD
index 3d98b07701..c94d7d4134 100644
--- a/main/ldb/APKBUILD
+++ b/main/ldb/APKBUILD
@@ -9,7 +9,7 @@ license="LGPLv3+"
depends=""
depends_dev=""
makedepends="$depends_dev tevent-dev py-tevent tdb-dev py-tdb talloc-dev
- python-dev popt-dev"
+ python2-dev popt-dev"
install=""
subpackages="$pkgname-dev py-$pkgname:_py $pkgname-tools"
source="http://samba.org/ftp/ldb/ldb-$pkgver.tar.gz
diff --git a/main/libproxy/APKBUILD b/main/libproxy/APKBUILD
index 4f4aaa34f2..36484657b2 100644
--- a/main/libproxy/APKBUILD
+++ b/main/libproxy/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="LGPLv2+"
depends=
depends_dev="zlib-dev"
-makedepends="cmake python-dev $depends_dev"
+makedepends="cmake python2-dev $depends_dev"
install=""
subpackages="$pkgname-dev $pkgname-bin py-$pkgname:py"
source="$pkgname-$pkgver.tar.gz::https://github.com/libproxy/libproxy/archive/$pkgver.tar.gz
diff --git a/main/libxslt/APKBUILD b/main/libxslt/APKBUILD
index 45d6b0b4cb..7191fbdbba 100644
--- a/main/libxslt/APKBUILD
+++ b/main/libxslt/APKBUILD
@@ -8,7 +8,7 @@ url="http://xmlsoft.org/XSLT/"
arch="all"
license="custom"
depends=
-makedepends="libxml2-dev libgcrypt-dev libgpg-error-dev python-dev"
+makedepends="libxml2-dev libgcrypt-dev libgpg-error-dev python2-dev"
subpackages="$pkgname-dev $pkgname-doc py-$pkgname:py"
source="ftp://xmlsoft.org/$pkgname/$pkgname-$pkgver.tar.gz"
diff --git a/main/llvm/APKBUILD b/main/llvm/APKBUILD
index 22220afab2..63c0b4521c 100644
--- a/main/llvm/APKBUILD
+++ b/main/llvm/APKBUILD
@@ -23,7 +23,7 @@ makedepends="$depends_dev
paxmark
py-sphinx
python
- python-dev
+ python2-dev
zlib-dev
"
subpackages="$pkgname-static $pkgname-doc $pkgname-dev $pkgname-libs"
diff --git a/main/mercurial/APKBUILD b/main/mercurial/APKBUILD
index b4b50954b5..186174ba68 100644
--- a/main/mercurial/APKBUILD
+++ b/main/mercurial/APKBUILD
@@ -8,7 +8,7 @@ url="https://www.mercurial-scm.org/"
arch="all"
license="GPL2+"
depends=""
-makedepends="python-dev"
+makedepends="python2-dev"
subpackages="
$pkgname-doc
$pkgname-vim:vim
diff --git a/main/mutagen/APKBUILD b/main/mutagen/APKBUILD
index 1a82be2565..aa1516fe00 100644
--- a/main/mutagen/APKBUILD
+++ b/main/mutagen/APKBUILD
@@ -7,7 +7,7 @@ url="http://code.google.com/p/mutagen/"
arch="noarch"
license="GPL2"
depends="python py-mutagen"
-makedepends="python-dev"
+makedepends="python2-dev"
subpackages="$pkgname-doc py-$pkgname:py"
source="https://bitbucket.org/lazka/mutagen/downloads/mutagen-$pkgver.tar.gz"
diff --git a/main/newt/APKBUILD b/main/newt/APKBUILD
index fe7ad26f70..08571866a1 100644
--- a/main/newt/APKBUILD
+++ b/main/newt/APKBUILD
@@ -7,7 +7,7 @@ url="https://fedorahosted.org/newt/"
arch="all"
license="LGPL2"
depends=
-makedepends="slang-dev popt-dev python-dev ncurses-dev"
+makedepends="slang-dev popt-dev python2-dev ncurses-dev"
subpackages="$pkgname-dev $pkgname-doc py-newt:py"
source="https://fedorahosted.org/releases/n/e/newt/newt-$pkgver.tar.gz
parallel-build.patch
diff --git a/main/ntop/APKBUILD b/main/ntop/APKBUILD
index a40a562b61..8d12f06d80 100644
--- a/main/ntop/APKBUILD
+++ b/main/ntop/APKBUILD
@@ -11,7 +11,7 @@ pkgusers="ntop"
pkggroups="ntop"
makedepends="autoconf automake freetype-dev gdbm-dev geoip-dev
libart-lgpl-dev libevent-dev libpcap-dev libpng-dev libtool libxml2-dev
- lua-dev libressl-dev python-dev rrdtool-dev subversion wget zlib-dev
+ lua-dev libressl-dev python2-dev rrdtool-dev subversion wget zlib-dev
linux-headers"
install="$pkgname.pre-install"
subpackages="$pkgname-dev $pkgname-doc"
diff --git a/main/offlineimap/APKBUILD b/main/offlineimap/APKBUILD
index 06c5a57a8f..df893a234f 100644
--- a/main/offlineimap/APKBUILD
+++ b/main/offlineimap/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="GPL2+"
depends="python py2-six"
depends_dev=""
-makedepends="python-dev asciidoc"
+makedepends="python2-dev asciidoc"
install=""
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/OfflineIMAP/${pkgname}/archive/v${pkgver}.tar.gz"
diff --git a/main/pssh/APKBUILD b/main/pssh/APKBUILD
index 36c6d3c83c..24a8556335 100644
--- a/main/pssh/APKBUILD
+++ b/main/pssh/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev"
+makedepends="python2-dev"
install=""
subpackages="$pkgname-doc"
source="https://parallel-ssh.googlecode.com/files/${pkgname}-${pkgver}.tar.gz"
diff --git a/main/py-alabaster/APKBUILD b/main/py-alabaster/APKBUILD
index eca9c81cf0..d641d5b88e 100644
--- a/main/py-alabaster/APKBUILD
+++ b/main/py-alabaster/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends=""
depends_dev=""
-makedepends="$depends_dev python-dev py-setuptools"
+makedepends="$depends_dev python2-dev py-setuptools"
install=""
subpackages=""
source="alabaster-$pkgver.tar.gz::https://github.com/bitprophet/alabaster/archive/$pkgver.tar.gz"
diff --git a/main/py-asn1-modules/APKBUILD b/main/py-asn1-modules/APKBUILD
index abdfeea294..fcbc416337 100644
--- a/main/py-asn1-modules/APKBUILD
+++ b/main/py-asn1-modules/APKBUILD
@@ -8,7 +8,7 @@ url="http://pypi.python.org/pypi/pyasn1-modules"
arch="noarch"
license="BSD"
depends=""
-makedepends="python-dev python3-dev"
+makedepends="python2-dev python3-dev"
install=""
subpackages="py3-${pkgname/py-/}:_py3 py2-${pkgname/py-/}:_py2"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-bluez/APKBUILD b/main/py-bluez/APKBUILD
index 02ed03d0e3..d77102dc06 100644
--- a/main/py-bluez/APKBUILD
+++ b/main/py-bluez/APKBUILD
@@ -8,7 +8,7 @@ url="http://code.google.com/p/pybluez/"
arch="all"
license="GPL2"
depends=""
-makedepends="python-dev bluez-dev"
+makedepends="python2-dev bluez-dev"
install=""
subpackages=""
source="http://pybluez.googlecode.com/files/PyBluez-$pkgver.tar.gz"
diff --git a/main/py-boto/APKBUILD b/main/py-boto/APKBUILD
index 6f067a469a..31b21fa7e7 100644
--- a/main/py-boto/APKBUILD
+++ b/main/py-boto/APKBUILD
@@ -9,7 +9,7 @@ url="http://docs.pythonboto.org/en/latest/index.html"
arch="noarch"
license="MIT"
depends="python"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages="$pkgname-doc"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-cairo/APKBUILD b/main/py-cairo/APKBUILD
index 2353d1dcb1..e2afad82d2 100644
--- a/main/py-cairo/APKBUILD
+++ b/main/py-cairo/APKBUILD
@@ -8,7 +8,7 @@ url="http://cairographics.org/pycairo/"
arch="all"
license="LGPL2+"
depends=""
-makedepends="python-dev cairo-dev"
+makedepends="python2-dev cairo-dev"
install=""
subpackages="$pkgname-dev"
source="http://cairographics.org/releases/$_pkgname-$pkgver.tar.bz2"
diff --git a/main/py-configshell/APKBUILD b/main/py-configshell/APKBUILD
index 140f2b3ad1..ff78d0a123 100644
--- a/main/py-configshell/APKBUILD
+++ b/main/py-configshell/APKBUILD
@@ -11,7 +11,7 @@ arch="noarch"
license="AGPL3"
depends="python py-six py-urwid py-parsing"
depends_dev=""
-makedepends="$depends_dev python-dev py-setuptools"
+makedepends="$depends_dev python2-dev py-setuptools"
install=""
subpackages=""
source="$_realname-fb-$_ver.tar.gz::https://github.com/agrover/configshell-fb/archive/v$_ver.tar.gz"
diff --git a/main/py-country/APKBUILD b/main/py-country/APKBUILD
index ee6d4ef87e..f6c46865f6 100644
--- a/main/py-country/APKBUILD
+++ b/main/py-country/APKBUILD
@@ -9,7 +9,7 @@ url=https://pypi.python.org/pypi/pycountry
arch="noarch"
license="LGPL2+"
depends="python"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
_builddir="$srcdir"/$_pkgname-$pkgver
diff --git a/main/py-dbus/APKBUILD b/main/py-dbus/APKBUILD
index d3e2a490a5..c1841c4674 100644
--- a/main/py-dbus/APKBUILD
+++ b/main/py-dbus/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="GPL LGPL"
depends="python>=2.6.5"
depends_dev="py-dbus"
-makedepends="dbus-glib-dev python-dev"
+makedepends="dbus-glib-dev python2-dev"
subpackages="$pkgname-dev $pkgname-doc"
source="http://dbus.freedesktop.org/releases/dbus-python/dbus-python-$pkgver.tar.gz"
diff --git a/main/py-django-djblets/APKBUILD b/main/py-django-djblets/APKBUILD
index b314f2bd64..8b03390d9c 100644
--- a/main/py-django-djblets/APKBUILD
+++ b/main/py-django-djblets/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="set of utilty classes and functions for web applications written using
url="https://github.com/djblets/djblets/"
arch="noarch"
license="BSD"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
depends="python py-django-pipeline"
source="$pkgname-$pkgver.tar.gz::https://github.com/djblets/djblets/archive/release-${pkgver}.tar.gz"
diff --git a/main/py-django-pipeline/APKBUILD b/main/py-django-pipeline/APKBUILD
index e05dc1b227..f216e37ab2 100644
--- a/main/py-django-pipeline/APKBUILD
+++ b/main/py-django-pipeline/APKBUILD
@@ -8,8 +8,8 @@ pkgdesc="an asset packaging library for Django"
url="https://github.com/cyberdelia/django-pipeline"
arch="noarch"
license="BSD"
-#makedepends="python-dev py-setuptools py-django"
-makedepends="python-dev py-setuptools"
+#makedepends="python2-dev py-setuptools py-django"
+makedepends="python2-dev py-setuptools"
depends="python"
source="$pkgname-$pkgver.tar.gz::https://github.com/cyberdelia/django-pipeline/archive/${pkgver}.tar.gz"
diff --git a/main/py-django-registation/APKBUILD b/main/py-django-registation/APKBUILD
index a894d89847..4e94a07f1e 100644
--- a/main/py-django-registation/APKBUILD
+++ b/main/py-django-registation/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="simple user-registration application for Django"
url="https://github.com/ubernostrum/django-registration"
arch="noarch"
license="BSD"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
depends="python"
source="${_pkgname}-${pkgver}.tar.gz::https://github.com/ubernostrum/django-registration/archive/${pkgver}.tar.gz"
diff --git a/main/py-django-simple-captcha/APKBUILD b/main/py-django-simple-captcha/APKBUILD
index 8bf00c1fd5..efef719dc9 100644
--- a/main/py-django-simple-captcha/APKBUILD
+++ b/main/py-django-simple-captcha/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="simple, yet highly customizable Django application to add captcha image
url="https://github.com/mbi/django-simple-captcha"
arch="noarch"
license="BSD"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
depends="python"
source="$_pkgname-$pkgver.tar.gz::https://github.com/mbi/django-simple-captcha/archive/$pkgver.tar.gz"
diff --git a/main/py-django/APKBUILD b/main/py-django/APKBUILD
index bc45a8c15c..f2f3adc7b9 100644
--- a/main/py-django/APKBUILD
+++ b/main/py-django/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-docutils/APKBUILD b/main/py-docutils/APKBUILD
index 61c5a0fbd8..94c795bd6f 100644
--- a/main/py-docutils/APKBUILD
+++ b/main/py-docutils/APKBUILD
@@ -9,7 +9,7 @@ url="http://docutils.sourceforge.net/"
arch="noarch"
license="PublicDomain"
depends="python py-pillow py-roman"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=
subpackages="$pkgname-doc"
source="http://downloads.sourceforge.net/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-ediarpc/APKBUILD b/main/py-ediarpc/APKBUILD
index 84b5f9394b..ca57b620a0 100644
--- a/main/py-ediarpc/APKBUILD
+++ b/main/py-ediarpc/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="ISC"
depends="python"
depends_dev=""
-makedepends="python-dev"
+makedepends="python2-dev"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/e/ediarpc/ediarpc-$pkgver.tar.gz"
diff --git a/main/py-egenix-mx-base/APKBUILD b/main/py-egenix-mx-base/APKBUILD
index 62cd6d994c..55e0fad2f9 100644
--- a/main/py-egenix-mx-base/APKBUILD
+++ b/main/py-egenix-mx-base/APKBUILD
@@ -10,7 +10,7 @@ arch="all"
license="Custom"
depends=""
depends_dev=""
-makedepends="python-dev"
+makedepends="python2-dev"
install=""
subpackages="$pkgname-doc $pkgname-dev"
source="http://downloads.egenix.com/python/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-exifread/APKBUILD b/main/py-exifread/APKBUILD
index 329aa6a1de..b0d5d48428 100644
--- a/main/py-exifread/APKBUILD
+++ b/main/py-exifread/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-eyed3/APKBUILD b/main/py-eyed3/APKBUILD
index 05c1317b26..eacf6f3e38 100644
--- a/main/py-eyed3/APKBUILD
+++ b/main/py-eyed3/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="GPL"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="http://eyed3.nicfit.net/releases/$_pkgname-$pkgver.tar.gz
diff --git a/main/py-feedparser/APKBUILD b/main/py-feedparser/APKBUILD
index e2e3cc91d7..039e08aa16 100644
--- a/main/py-feedparser/APKBUILD
+++ b/main/py-feedparser/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-flask-assets/APKBUILD b/main/py-flask-assets/APKBUILD
index 8110305065..bf0228842e 100644
--- a/main/py-flask-assets/APKBUILD
+++ b/main/py-flask-assets/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends="python py-flask py-webassets"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-flask-script/APKBUILD b/main/py-flask-script/APKBUILD
index 60433a9108..720ee0bc1e 100644
--- a/main/py-flask-script/APKBUILD
+++ b/main/py-flask-script/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends="python py-flask"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-flask-wtf/APKBUILD b/main/py-flask-wtf/APKBUILD
index afb95892f1..846bd787c9 100644
--- a/main/py-flask-wtf/APKBUILD
+++ b/main/py-flask-wtf/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends="python py-flask py-wtforms"
depends_dev=""
-makedepends="python-dev py-setuptools py-wtforms"
+makedepends="python2-dev py-setuptools py-wtforms"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-flup/APKBUILD b/main/py-flup/APKBUILD
index cef0040000..8bc9daac5e 100644
--- a/main/py-flup/APKBUILD
+++ b/main/py-flup/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="WSGI modules for Python"
url="http://www.saddi.com/software/flup/"
arch="noarch"
license="BSD"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
depends="python"
source="$pkgname-$pkgver.tar.gz::http://www.saddi.com/software/flup/dist/${_pkgname}-${pkgver}.tar.gz"
diff --git a/main/py-funcsigs/APKBUILD b/main/py-funcsigs/APKBUILD
index 913b4aeb94..6c8507c6fe 100644
--- a/main/py-funcsigs/APKBUILD
+++ b/main/py-funcsigs/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="ASL"
depends="python"
depends_dev=""
-makedepends="$depends_dev python-dev py-setuptools"
+makedepends="$depends_dev python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-fuse/APKBUILD b/main/py-fuse/APKBUILD
index 07a5f361c0..3b6154ec43 100644
--- a/main/py-fuse/APKBUILD
+++ b/main/py-fuse/APKBUILD
@@ -9,7 +9,7 @@ url="https://github.com/libfuse/python-fuse/"
arch="all"
license="LGPL2+"
depends="python"
-makedepends="python-dev py-setuptools fuse-dev"
+makedepends="python2-dev py-setuptools fuse-dev"
source="https://github.com/libfuse/python-fuse/releases/download/$pkgver/$_pkgname-$pkgver.tar.gz"
builddir="$srcdir"/$_pkgname-$pkgver
diff --git a/main/py-genshi/APKBUILD b/main/py-genshi/APKBUILD
index 999d68f16c..abb2145db6 100644
--- a/main/py-genshi/APKBUILD
+++ b/main/py-genshi/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="Python toolkit for stream-based generation of output for the web."
url="http://genshi.edgewall.org/"
arch="all"
license="BSD"
-makedepends="py-setuptools python-dev"
+makedepends="py-setuptools python2-dev"
install=""
subpackages=""
source="http://ftp.edgewall.com/pub/genshi/$_realname-$pkgver.tar.gz"
diff --git a/main/py-gflags/APKBUILD b/main/py-gflags/APKBUILD
index d40d0c35f2..33a9209307 100644
--- a/main/py-gflags/APKBUILD
+++ b/main/py-gflags/APKBUILD
@@ -8,7 +8,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="http://python-gflags.googlecode.com/files/python-gflags-${pkgver}.tar.gz"
diff --git a/main/py-gnome/APKBUILD b/main/py-gnome/APKBUILD
index e7e1bc6311..941c1e0c0a 100644
--- a/main/py-gnome/APKBUILD
+++ b/main/py-gnome/APKBUILD
@@ -10,7 +10,7 @@ url="http://pygtk.org"
arch="noarch"
license="LGPL"
depends="$pkgname-bonobo $pkgname-gconf $pkgname-libgnome $pkgname-gnomevfs"
-depends_dev="gtk+2.0-dev libgnome-dev py-gobject-dev py-gtk-dev python-dev"
+depends_dev="gtk+2.0-dev libgnome-dev py-gobject-dev py-gtk-dev python2-dev"
makedepends="$depends_dev"
install=""
subpackages="$pkgname-dev $pkgname-bonobo $pkgname-gconf $pkgname-libgnome \
diff --git a/main/py-gobject/APKBUILD b/main/py-gobject/APKBUILD
index 6ca1c2f3fd..d7e04c658b 100644
--- a/main/py-gobject/APKBUILD
+++ b/main/py-gobject/APKBUILD
@@ -7,7 +7,7 @@ url="http://www.pygtk.org/"
arch="all"
license="GPL"
depends=
-depends_dev="libffi-dev glib-dev python-dev"
+depends_dev="libffi-dev glib-dev python2-dev"
makedepends="$depends_dev py-cairo-dev"
install=
subpackages="$pkgname-dev $pkgname-doc"
diff --git a/main/py-gobject3/APKBUILD b/main/py-gobject3/APKBUILD
index 712dc916d7..9aebfe33f8 100644
--- a/main/py-gobject3/APKBUILD
+++ b/main/py-gobject3/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="GPL"
depends="py-cairo"
depends_dev="libffi-dev glib-dev"
-makedepends="$depends_dev python-dev py-cairo-dev gobject-introspection-dev"
+makedepends="$depends_dev python2-dev py-cairo-dev gobject-introspection-dev"
install=
subpackages="$pkgname-dev"
source="http://ftp.gnome.org/pub/GNOME/sources/pygobject/${pkgver%.*}/pygobject-$pkgver.tar.xz"
diff --git a/main/py-google-api-python-client/APKBUILD b/main/py-google-api-python-client/APKBUILD
index b4b7f86eed..0bb4536322 100644
--- a/main/py-google-api-python-client/APKBUILD
+++ b/main/py-google-api-python-client/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="Apache"
depends="python py-httplib2 py-oauth2client py-uritemplate py-six"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-gtk/APKBUILD b/main/py-gtk/APKBUILD
index 3c02f41765..9bd97a0d84 100644
--- a/main/py-gtk/APKBUILD
+++ b/main/py-gtk/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="LGPL"
depends_dev="py-gobject-dev py-gtk"
depends="py-cairo py-gobject"
-makedepends="$depends_dev libglade-dev py-cairo-dev python-dev libffi-dev
+makedepends="$depends_dev libglade-dev py-cairo-dev python2-dev libffi-dev
autoconf automake libtool"
source="http://ftp.gnome.org/pub/gnome/sources/pygtk/${pkgver%.*}/pygtk-$pkgver.tar.bz2
pygtk-2.14.1-libdir-pc.patch
diff --git a/main/py-gunicorn/APKBUILD b/main/py-gunicorn/APKBUILD
index 3a4d1c1d69..ce6271270d 100644
--- a/main/py-gunicorn/APKBUILD
+++ b/main/py-gunicorn/APKBUILD
@@ -8,7 +8,7 @@ pkgdesc="a Python WSGI HTTP Server"
url="https://github.com/benoitc/gunicorn/"
arch="noarch"
license="BSD"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
source="$pkgname-$pkgver.tar.gz::https://github.com/benoitc/$_pkgname/archive/${pkgver}.tar.gz"
_builddir="${srcdir}/${_pkgname}-${pkgver}"
diff --git a/main/py-hiredis/APKBUILD b/main/py-hiredis/APKBUILD
index 8fe6c0ffab..ff51784dc4 100644
--- a/main/py-hiredis/APKBUILD
+++ b/main/py-hiredis/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools hiredis-dev"
+makedepends="python2-dev py-setuptools hiredis-dev"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz
diff --git a/main/py-hoedown/APKBUILD b/main/py-hoedown/APKBUILD
index 1d67c3420a..ba7c61c3d3 100644
--- a/main/py-hoedown/APKBUILD
+++ b/main/py-hoedown/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-httplib2/APKBUILD b/main/py-httplib2/APKBUILD
index 8350a1c59b..17f957a1e8 100644
--- a/main/py-httplib2/APKBUILD
+++ b/main/py-httplib2/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-icu/APKBUILD b/main/py-icu/APKBUILD
index 5793d7317e..be29e7ce5d 100644
--- a/main/py-icu/APKBUILD
+++ b/main/py-icu/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev icu-dev"
+makedepends="python2-dev icu-dev"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-imaging/APKBUILD b/main/py-imaging/APKBUILD
index b3c47b5b57..ba122a0b5e 100644
--- a/main/py-imaging/APKBUILD
+++ b/main/py-imaging/APKBUILD
@@ -8,7 +8,7 @@ url="http://pypi.python.org/pypi/PIL"
arch="all"
license="PSF"
depends=""
-makedepends="python-dev freetype-dev jpeg-dev zlib-dev"
+makedepends="python2-dev freetype-dev jpeg-dev zlib-dev"
install=""
subpackages=""
source="http://effbot.org/downloads/Imaging-$pkgver.tar.gz"
diff --git a/main/py-lockfile/APKBUILD b/main/py-lockfile/APKBUILD
index e726f46879..48d96ab02e 100644
--- a/main/py-lockfile/APKBUILD
+++ b/main/py-lockfile/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-mako/APKBUILD b/main/py-mako/APKBUILD
index da81e8c43d..2e36314159 100644
--- a/main/py-mako/APKBUILD
+++ b/main/py-mako/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="MIT"
depends="python py-markupsafe"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-mccabe/APKBUILD b/main/py-mccabe/APKBUILD
index 34590aed07..a0585360ad 100644
--- a/main/py-mccabe/APKBUILD
+++ b/main/py-mccabe/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-meld3/APKBUILD b/main/py-meld3/APKBUILD
index 1c6df559fb..5fb25b6346 100644
--- a/main/py-meld3/APKBUILD
+++ b/main/py-meld3/APKBUILD
@@ -9,7 +9,7 @@ url="https://github.com/supervisor/meld3"
arch="noarch"
license="ZPL"
depends="python"
-depends_dev="python-dev py-setuptools"
+depends_dev="python2-dev py-setuptools"
makedepends="$depends_dev"
install=""
subpackages=""
diff --git a/main/py-mock/APKBUILD b/main/py-mock/APKBUILD
index 7783684dba..08f557a0e0 100644
--- a/main/py-mock/APKBUILD
+++ b/main/py-mock/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends="python py-pbr py-funcsigs py-six"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-munkres/APKBUILD b/main/py-munkres/APKBUILD
index dd790db203..f552f683cf 100644
--- a/main/py-munkres/APKBUILD
+++ b/main/py-munkres/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev"
+makedepends="python2-dev"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/m/munkres/munkres-$pkgver.tar.gz"
diff --git a/main/py-musicbrainzngs/APKBUILD b/main/py-musicbrainzngs/APKBUILD
index c8c399c3eb..ef29ad61a5 100644
--- a/main/py-musicbrainzngs/APKBUILD
+++ b/main/py-musicbrainzngs/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/m/musicbrainzngs/musicbrainzngs-$pkgver.tar.gz"
diff --git a/main/py-mysqldb/APKBUILD b/main/py-mysqldb/APKBUILD
index 35242cace3..d4f8bb82fb 100644
--- a/main/py-mysqldb/APKBUILD
+++ b/main/py-mysqldb/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="GPL"
depends="python"
depends_dev="mariadb-dev"
-makedepends="$depends_dev python-dev py-setuptools"
+makedepends="$depends_dev python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/M/MySQL-python/MySQL-python-$pkgver.zip"
diff --git a/main/py-nose/APKBUILD b/main/py-nose/APKBUILD
index 2470897815..601b887229 100644
--- a/main/py-nose/APKBUILD
+++ b/main/py-nose/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="LGPL2+"
depends="python py-setuptools"
depends_dev=""
-makedepends="python-dev"
+makedepends="python2-dev"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-oauth2/APKBUILD b/main/py-oauth2/APKBUILD
index 6b6cae15f9..08a729a1e5 100644
--- a/main/py-oauth2/APKBUILD
+++ b/main/py-oauth2/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="MIT"
depends="python py-httplib2"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.post1.tar.gz"
diff --git a/main/py-oauth2client/APKBUILD b/main/py-oauth2client/APKBUILD
index 0decfcb072..31098abf44 100644
--- a/main/py-oauth2client/APKBUILD
+++ b/main/py-oauth2client/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="Apache"
depends="python py-asn1 py-httplib2 py-asn1-modules py-rsa py-six"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-parsing/APKBUILD b/main/py-parsing/APKBUILD
index 12149e06df..b03f8ee788 100644
--- a/main/py-parsing/APKBUILD
+++ b/main/py-parsing/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="http://downloads.sourceforge.net/pyparsing/pyparsing-$pkgver.tar.gz"
diff --git a/main/py-pbr/APKBUILD b/main/py-pbr/APKBUILD
index d9be6c1a91..523be176ed 100644
--- a/main/py-pbr/APKBUILD
+++ b/main/py-pbr/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="APACHE2.0"
depends="python"
depends_dev=""
-makedepends="$depends_dev python-dev py-setuptools"
+makedepends="$depends_dev python2-dev py-setuptools"
install=""
subpackages="$pkgname-dev"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-pep8/APKBUILD b/main/py-pep8/APKBUILD
index fe5f3eb59f..164912e0ac 100644
--- a/main/py-pep8/APKBUILD
+++ b/main/py-pep8/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-phonenumbers/APKBUILD b/main/py-phonenumbers/APKBUILD
index e660c45419..564a5d6aac 100644
--- a/main/py-phonenumbers/APKBUILD
+++ b/main/py-phonenumbers/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="ASL 2.0"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-pillow/APKBUILD b/main/py-pillow/APKBUILD
index 340c116307..915cc52627 100644
--- a/main/py-pillow/APKBUILD
+++ b/main/py-pillow/APKBUILD
@@ -10,7 +10,7 @@ arch="all"
license="PSF"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools freetype-dev jpeg-dev libwebp-dev tiff-dev
+makedepends="python2-dev py-setuptools freetype-dev jpeg-dev libwebp-dev tiff-dev
libpng-dev lcms2-dev openjpeg-dev zlib-dev"
install=""
subpackages=""
diff --git a/main/py-purl/APKBUILD b/main/py-purl/APKBUILD
index 182c9a4fe3..fb6acec437 100644
--- a/main/py-purl/APKBUILD
+++ b/main/py-purl/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="MIT"
depends="python py-six"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-pylast/APKBUILD b/main/py-pylast/APKBUILD
index 37af039a39..9219ecfd81 100644
--- a/main/py-pylast/APKBUILD
+++ b/main/py-pylast/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="Apache"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/p/pylast/pylast-$pkgver.tar.gz"
diff --git a/main/py-redis/APKBUILD b/main/py-redis/APKBUILD
index 74b01dc13b..0bea56206c 100644
--- a/main/py-redis/APKBUILD
+++ b/main/py-redis/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-roman/APKBUILD b/main/py-roman/APKBUILD
index 9c088a17d1..a55df70335 100644
--- a/main/py-roman/APKBUILD
+++ b/main/py-roman/APKBUILD
@@ -9,7 +9,7 @@ url="http://pypi.python.org/pypi/roman"
arch="noarch"
license="Python"
depends="python"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
diff --git a/main/py-rsa/APKBUILD b/main/py-rsa/APKBUILD
index 0105337a0f..dad5affc99 100644
--- a/main/py-rsa/APKBUILD
+++ b/main/py-rsa/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends="python py-asn1"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-simpleparse/APKBUILD b/main/py-simpleparse/APKBUILD
index 87650ad20e..a16827773c 100644
--- a/main/py-simpleparse/APKBUILD
+++ b/main/py-simpleparse/APKBUILD
@@ -8,7 +8,7 @@ url="http://launchpad.net/simpleparse"
arch="all"
license="BSD"
depends="python"
-depends_dev="python-dev"
+depends_dev="python2-dev"
makedepends="$depends_dev"
install=
subpackages=
diff --git a/main/py-sphinx_rtd_theme/APKBUILD b/main/py-sphinx_rtd_theme/APKBUILD
index 838d6668d3..76954fdbac 100644
--- a/main/py-sphinx_rtd_theme/APKBUILD
+++ b/main/py-sphinx_rtd_theme/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="MIT"
depends=""
depends_dev=""
-makedepends="$depends_dev python-dev py-setuptools"
+makedepends="$depends_dev python2-dev py-setuptools"
install=""
subpackages=""
source="sphinx_rtd_theme-$pkgver.tar.gz::https://github.com/snide/sphinx_rtd_theme/archive/$pkgver.tar.gz"
diff --git a/main/py-templayer/APKBUILD b/main/py-templayer/APKBUILD
index 3e36fda0e7..fcbbe8f0c5 100644
--- a/main/py-templayer/APKBUILD
+++ b/main/py-templayer/APKBUILD
@@ -9,7 +9,7 @@ url="http://excess.org/templayer/"
arch="noarch"
license="LGPL"
depends="python"
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=
subpackages="$pkgname-doc"
source="http://excess.org/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-twisted/APKBUILD b/main/py-twisted/APKBUILD
index 64cfb0471b..2533273080 100644
--- a/main/py-twisted/APKBUILD
+++ b/main/py-twisted/APKBUILD
@@ -8,7 +8,7 @@ url="http://twistedmatrix.com/"
arch="all"
license="MIT"
depends="py-crypto py-zope-interface"
-makedepends="python-dev py-setuptools libtirpc-dev"
+makedepends="python2-dev py-setuptools libtirpc-dev"
install=""
subpackages="$pkgname-doc"
source="https://twistedmatrix.com/Releases/${_pkgname}/${pkgver%.*}/${_pkgname}-${pkgver}.tar.bz2"
diff --git a/main/py-twitter/APKBUILD b/main/py-twitter/APKBUILD
index 0855f9d30b..b46c4de45a 100644
--- a/main/py-twitter/APKBUILD
+++ b/main/py-twitter/APKBUILD
@@ -8,7 +8,7 @@ url="https://pypi.python.org/pypi/python-twitter"
arch="noarch"
license="Apache"
depends="python py-httplib2 py-simplejson py-oauth2 py-requests-oauthlib"
-depends_dev="python-dev py-setuptools"
+depends_dev="python2-dev py-setuptools"
makedepends="$depends_dev"
install=""
subpackages=""
diff --git a/main/py-unidecode/APKBUILD b/main/py-unidecode/APKBUILD
index da1091ce2c..2ed3097394 100644
--- a/main/py-unidecode/APKBUILD
+++ b/main/py-unidecode/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="GPL2+"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-uritemplate/APKBUILD b/main/py-uritemplate/APKBUILD
index 5f9c64af06..e28d058f95 100644
--- a/main/py-uritemplate/APKBUILD
+++ b/main/py-uritemplate/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends=""
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-urlnorm/APKBUILD b/main/py-urlnorm/APKBUILD
index f3c490f046..e84289d9da 100644
--- a/main/py-urlnorm/APKBUILD
+++ b/main/py-urlnorm/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-urwid/APKBUILD b/main/py-urwid/APKBUILD
index b6289b57d7..39cdee8e40 100644
--- a/main/py-urwid/APKBUILD
+++ b/main/py-urwid/APKBUILD
@@ -9,7 +9,7 @@ url="http://excess.org/urwid/"
arch="all"
license="LGPL2+"
depends=""
-makedepends="python-dev py-setuptools py-templayer py-sphinx"
+makedepends="python2-dev py-setuptools py-templayer py-sphinx"
install=""
subpackages="$pkgname-doc $pkgname-examples"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-vobject/APKBUILD b/main/py-vobject/APKBUILD
index e2cddf7872..6eca455c70 100644
--- a/main/py-vobject/APKBUILD
+++ b/main/py-vobject/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="Apache"
depends="python py-dateutil py-icu"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="http://vobject.skyhouseconsulting.com/${_pkgname}-$pkgver.tar.gz"
diff --git a/main/py-webassets/APKBUILD b/main/py-webassets/APKBUILD
index 7430986960..0ecd7666f7 100644
--- a/main/py-webassets/APKBUILD
+++ b/main/py-webassets/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
diff --git a/main/py-wtforms/APKBUILD b/main/py-wtforms/APKBUILD
index d539b6e231..30c0b51ba6 100644
--- a/main/py-wtforms/APKBUILD
+++ b/main/py-wtforms/APKBUILD
@@ -10,7 +10,7 @@ arch="noarch"
license="BSD"
depends="python"
depends_dev=""
-makedepends="python-dev py-setuptools"
+makedepends="python2-dev py-setuptools"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
diff --git a/main/py-xml/APKBUILD b/main/py-xml/APKBUILD
index 16917193b6..9bcbc1e5e9 100644
--- a/main/py-xml/APKBUILD
+++ b/main/py-xml/APKBUILD
@@ -7,7 +7,7 @@ url="http://pyxml.sourceforge.net/"
arch="all"
license="custom"
depends=
-makedepends="python-dev"
+makedepends="python2-dev"
source="http://downloads.sourceforge.net/sourceforge/pyxml/PyXML-$pkgver.tar.gz
fix-python2.6.patch"
diff --git a/main/pyflakes/APKBUILD b/main/pyflakes/APKBUILD
index c457a7b05c..97e52f227a 100644
--- a/main/pyflakes/APKBUILD
+++ b/main/pyflakes/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="MIT"
depends="python"
depends_dev=""
-makedepends="python-dev"
+makedepends="python2-dev"
install=""
subpackages=""
source="https://files.pythonhosted.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
diff --git a/main/rdiff-backup/APKBUILD b/main/rdiff-backup/APKBUILD
index 0747150e86..2df4ce4395 100644
--- a/main/rdiff-backup/APKBUILD
+++ b/main/rdiff-backup/APKBUILD
@@ -8,7 +8,7 @@ url="http://www.gnu.org/savannah-checkouts/non-gnu/rdiff-backup/"
arch="all"
license="GPL2+"
depends=""
-makedepends="librsync-dev python-dev"
+makedepends="librsync-dev python2-dev"
subpackages="$pkgname-doc"
source="http://savannah.nongnu.org/download/rdiff-backup/$pkgname-$pkgver.tar.gz rdiff-backup-1.2.8-librsync-1.0.0.patch"
diff --git a/main/rrdtool/APKBUILD b/main/rrdtool/APKBUILD
index 042867a64d..32d15604a4 100644
--- a/main/rrdtool/APKBUILD
+++ b/main/rrdtool/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="GPL"
depends="font-sony-misc"
makedepends="libart-lgpl-dev libpng-dev freetype-dev perl-dev cairo-dev libxml2-dev
- pango-dev lua lua-dev python-dev groff
+ pango-dev lua lua-dev python2-dev groff
autoconf automake libtool"
subpackages="$pkgname-dev $pkgname-doc perl-rrd:perl_rrd lua-rrd:lua_rrd py-rrd:py_rrd
$pkgname-cached $pkgname-cgi $pkgname-utils librrd-th:libth librrd:libs"
diff --git a/main/samba/APKBUILD b/main/samba/APKBUILD
index 6c2f37b8bc..376d690447 100644
--- a/main/samba/APKBUILD
+++ b/main/samba/APKBUILD
@@ -40,7 +40,7 @@ depends="$pkgname-server=$pkgver-r$pkgrel
# note that heimdal is required (over mit krb5) for AD DC functionality
makedepends="popt-dev ncurses-dev openldap-dev e2fsprogs-dev
- talloc-dev tdb-dev py-tdb ldb-dev cups-dev python-dev libcap-dev
+ talloc-dev tdb-dev py-tdb ldb-dev cups-dev python2-dev libcap-dev
tevent-dev py-tevent iniparser-dev perl subunit-dev docbook-xsl
libarchive-dev"
source="http://us1.samba.org/samba/ftp/stable/samba-$pkgver.tar.gz
diff --git a/main/scons/APKBUILD b/main/scons/APKBUILD
index 0f3380e507..4a5ed6e75c 100644
--- a/main/scons/APKBUILD
+++ b/main/scons/APKBUILD
@@ -8,7 +8,7 @@ url="http://www.scons.org/"
arch="noarch"
license="MIT"
depends="python"
-makedepends="python-dev"
+makedepends="python2-dev"
install=""
source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
diff --git a/main/sems/APKBUILD b/main/sems/APKBUILD
index 9cefcbc07b..137f2a141c 100644
--- a/main/sems/APKBUILD
+++ b/main/sems/APKBUILD
@@ -10,7 +10,7 @@ license="GPLv2+"
pkgusers="sems"
pkggroups="sems"
install="$pkgname.pre-install"
-makedepends="python-dev cmake bash libressl-dev linux-headers
+makedepends="python2-dev cmake bash libressl-dev linux-headers
libsamplerate-dev spandsp-dev flite-dev gsm-dev speex-dev
libevent-dev libev-dev lame-dev"
subpackages="$pkgname-doc $pkgname-conf_auth $pkgname-conference
diff --git a/main/speedtest-cli/APKBUILD b/main/speedtest-cli/APKBUILD
index 6ea1e2792b..f8b8e7780b 100644
--- a/main/speedtest-cli/APKBUILD
+++ b/main/speedtest-cli/APKBUILD
@@ -9,7 +9,7 @@ arch="noarch"
license="ASL 2.0"
depends="python"
depends_dev=""
-makedepends="$depends_dev python-dev py-setuptools"
+makedepends="$depends_dev python2-dev py-setuptools"
install=""
subpackages=""
source="$pkgname-$pkgver.tar.gz::https://github.com/sivel/speedtest-cli/archive/v$pkgver.tar.gz"
diff --git a/main/spice-gtk/APKBUILD b/main/spice-gtk/APKBUILD
index 9c5d68339a..a7abd7fb3b 100644
--- a/main/spice-gtk/APKBUILD
+++ b/main/spice-gtk/APKBUILD
@@ -11,7 +11,7 @@ depends=""
depends_dev="gtk+3.0-dev celt051-dev polkit-dev libxrandr-dev libressl-dev
cyrus-sasl-dev gst-plugins-base1-dev libjpeg-turbo-dev zlib-dev
acl-dev lz4-dev"
-makedepends="$depends_dev bash usbutils python-dev eudev-dev phodav-dev
+makedepends="$depends_dev bash usbutils python2-dev eudev-dev phodav-dev
usbredir-dev libusb-dev libsoup-dev spice-protocol
polkit-dev py-parsing gobject-introspection-dev
"
diff --git a/main/spice/APKBUILD b/main/spice/APKBUILD
index 821818092d..4d05087f3d 100644
--- a/main/spice/APKBUILD
+++ b/main/spice/APKBUILD
@@ -10,7 +10,7 @@ license="LGPLv2+"
depends=""
depends_dev="spice-protocol pixman-dev celt051-dev libressl-dev libxinerama-dev"
makedepends="$depends_dev alsa-lib-dev libjpeg-turbo-dev libxrandr-dev
- cyrus-sasl-dev libxfixes-dev python-dev bash cegui06-dev py-parsing
+ cyrus-sasl-dev libxfixes-dev python2-dev bash cegui06-dev py-parsing
py-six glib-dev opus-dev"
install=""
subpackages="$pkgname-dev $pkgname-server"
diff --git a/main/subunit/APKBUILD b/main/subunit/APKBUILD
index d3a36d1d72..a4961fe449 100644
--- a/main/subunit/APKBUILD
+++ b/main/subunit/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="Apache BSD"
depends="python"
depends_dev=""
-makedepends="$depends_dev check-dev cppunit-dev perl-dev python-dev"
+makedepends="$depends_dev check-dev cppunit-dev perl-dev python2-dev"
install=""
subpackages="$pkgname-dev $pkgname-libs"
source="https://launchpad.net/subunit/trunk/$pkgver/+download/subunit-$pkgver.tar.gz"
diff --git a/main/subversion/APKBUILD b/main/subversion/APKBUILD
index 9137eb1c3a..6a559c75f4 100644
--- a/main/subversion/APKBUILD
+++ b/main/subversion/APKBUILD
@@ -10,7 +10,7 @@ license="apache bsd"
depends=
makedepends="apr-dev apr-util-dev expat-dev neon-dev libressl-dev zlib-dev
e2fsprogs-dev sqlite-dev apache2-dev perl-dev swig serf-dev
- python-dev autoconf automake libtool python"
+ python2-dev autoconf automake libtool python"
install="$pkgname.pre-install"
subpackages="$pkgname-dev $pkgname-doc mod_dav_svn
perl-$pkgname:pl py-$pkgname:py $pkgname-libs"
diff --git a/main/supervisor/APKBUILD b/main/supervisor/APKBUILD
index 059a0139fd..c69fea8cb0 100644
--- a/main/supervisor/APKBUILD
+++ b/main/supervisor/APKBUILD
@@ -8,7 +8,7 @@ url="http://supervisord.org"
arch="noarch"
license="BSD"
depends="python py-meld3 py-setuptools"
-depends_dev="python-dev"
+depends_dev="python2-dev"
makedepends="$depends_dev"
install=""
subpackages=""
diff --git a/main/syslog-ng/APKBUILD b/main/syslog-ng/APKBUILD
index 2d1207c31f..daf30ecc1d 100644
--- a/main/syslog-ng/APKBUILD
+++ b/main/syslog-ng/APKBUILD
@@ -8,7 +8,7 @@ url="http://www.balabit.com"
arch="all !aarch64"
license="GPLv2"
depends=""
-depends_dev="glib-dev eventlog-dev pcre-dev libressl-dev python-dev hiredis-dev"
+depends_dev="glib-dev eventlog-dev pcre-dev libressl-dev python2-dev hiredis-dev"
makedepends="$depends_dev"
install="$pkgname.post-install"
subpackages=""
diff --git a/main/talloc/APKBUILD b/main/talloc/APKBUILD
index 3d56142223..889da45c90 100644
--- a/main/talloc/APKBUILD
+++ b/main/talloc/APKBUILD
@@ -10,7 +10,7 @@ license="LGPL3+"
depends=""
depends_dev=""
replaces="samba-common"
-makedepends="$depends_dev python-dev libxslt docbook-xsl"
+makedepends="$depends_dev python2-dev libxslt docbook-xsl"
install=""
subpackages="$pkgname-dev py-$pkgname:_py $pkgname-doc"
source="http://samba.org/ftp/${pkgname}/${pkgname}-${pkgver}.tar.gz
diff --git a/main/tdb/APKBUILD b/main/tdb/APKBUILD
index c6af633e97..5525c97879 100644
--- a/main/tdb/APKBUILD
+++ b/main/tdb/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="LGPLv3+"
depends=""
depends_dev="python"
-makedepends="$depends_dev python-dev"
+makedepends="$depends_dev python2-dev"
install=""
subpackages="$pkgname-dev py-$pkgname:_py $pkgname-libs"
source="http://samba.org/ftp/tdb/tdb-$pkgver.tar.gz
diff --git a/main/tevent/APKBUILD b/main/tevent/APKBUILD
index 0fef449b5f..32e56a30f0 100644
--- a/main/tevent/APKBUILD
+++ b/main/tevent/APKBUILD
@@ -8,7 +8,7 @@ arch="all"
license="LGPLv3+"
depends=""
depends_dev=""
-makedepends="$depends_dev python-dev talloc-dev"
+makedepends="$depends_dev python2-dev talloc-dev"
replaces="samba"
install=""
subpackages="$pkgname-dev py-$pkgname:_py"
diff --git a/main/trac/APKBUILD b/main/trac/APKBUILD
index 46972a37a4..5c221e024d 100644
--- a/main/trac/APKBUILD
+++ b/main/trac/APKBUILD
@@ -11,7 +11,7 @@ url="http://trac.edgewall.com/"
arch="noarch"
license="GPL"
depends="python py-setuptools py-genshi"
-makedepends="python-dev"
+makedepends="python2-dev"
install="$pkgname.pre-install"
source="http://download.edgewall.org/trac/Trac-$pkgver.tar.gz
tracd.confd
diff --git a/main/unbound/APKBUILD b/main/unbound/APKBUILD
index 5bfc6205e4..220ba24967 100644
--- a/main/unbound/APKBUILD
+++ b/main/unbound/APKBUILD
@@ -12,7 +12,7 @@ arch="all"
license="BSD"
depends="dnssec-root"
depends_dev="libressl-dev expat-dev ldns-dev libevent-dev"
-makedepends="$depends_dev python-dev swig linux-headers"
+makedepends="$depends_dev python2-dev swig linux-headers"
install="$pkgname.pre-install"
subpackages="$pkgname-dev $pkgname-doc $pkgname-libs $pkgname-dbg py-unbound:py $pkgname-migrate"
source="http://unbound.net/downloads/unbound-$pkgver.tar.gz
diff --git a/main/uwsgi/APKBUILD b/main/uwsgi/APKBUILD
index 2099f98950..8dd39e329f 100644
--- a/main/uwsgi/APKBUILD
+++ b/main/uwsgi/APKBUILD
@@ -27,7 +27,7 @@ makedepends="
pcre-dev
postgresql-dev
python
- python-dev
+ python2-dev
python3-dev
zeromq-dev
zlib-dev
diff --git a/main/virtinst/APKBUILD b/main/virtinst/APKBUILD
index 3649b665ff..8da7f80e4d 100644
--- a/main/virtinst/APKBUILD
+++ b/main/virtinst/APKBUILD
@@ -7,7 +7,7 @@ arch="noarch"
url="http://virt-manager.org/"
license="GPL2+"
depends="libvirt python py-urlgrabber py-libxml2 py-libvirt"
-makedepends="gettext-dev libvirt-dev python-dev grep"
+makedepends="gettext-dev libvirt-dev python2-dev grep"
install=""
subpackages="$pkgname-doc $pkgname-lang"
source="https://fedorahosted.org/released/python-virtinst/${pkgname}-${pkgver}.tar.gz"
diff --git a/main/weechat/APKBUILD b/main/weechat/APKBUILD
index c77df35a9f..5f83e95fa8 100644
--- a/main/weechat/APKBUILD
+++ b/main/weechat/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="GPL3+"
depends=""
depends_dev="cmake libintl ncurses-dev gnutls-dev libgcrypt-dev curl-dev
- aspell-dev lua-dev perl-dev python-dev ruby-dev"
+ aspell-dev lua-dev perl-dev python2-dev ruby-dev"
makedepends="$depends_dev"
install=""
subpackages="$pkgname-dev $pkgname-aspell:_plugin $pkgname-lua:_plugin
diff --git a/main/xen/APKBUILD b/main/xen/APKBUILD
index 112936fec8..9fadaa0fe1 100644
--- a/main/xen/APKBUILD
+++ b/main/xen/APKBUILD
@@ -9,7 +9,7 @@ url="http://www.xen.org/"
arch="x86_64 armhf"
license="GPL"
depends="bash iproute2 logrotate"
-depends_dev="libressl-dev python-dev e2fsprogs-dev gettext zlib-dev ncurses-dev
+depends_dev="libressl-dev python2-dev e2fsprogs-dev gettext zlib-dev ncurses-dev
dev86 texinfo perl pciutils-dev glib-dev yajl-dev libnl3-dev
spice-dev gnutls-dev curl-dev libaio-dev lzo-dev xz-dev util-linux-dev
e2fsprogs-dev linux-headers argp-standalone"
diff --git a/main/znc/APKBUILD b/main/znc/APKBUILD
index d3584f6d4c..104e58dddf 100644
--- a/main/znc/APKBUILD
+++ b/main/znc/APKBUILD
@@ -9,7 +9,7 @@ arch="all"
license="ASL 2.0"
depends=""
depends_dev=""
-makedepends="perl-dev libressl-dev cyrus-sasl-dev python-dev c-ares-dev swig
+makedepends="perl-dev libressl-dev cyrus-sasl-dev python2-dev c-ares-dev swig
gettext-dev tcl-dev autoconf automake python3-dev"
install="$pkgname.pre-install"
pkgusers="$pkgname"